netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ddp_output.c File Reference
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/mbuf.h>`
`#include <sys/socket.h>`
`#include <errno.h>`
`#include <atalk/logger.h>`
`#include <net/if.h>`
`#include <net/route.h>`
`#include <netinet/in.h>`
`#include <netinet/if_ether.h>`
`#include "at.h"`
`#include "at_var.h"`
`#include "ddp.h"`
`#include "ddp_var.h"`

## Macros
#define | align(a)

## Functions
unsigned short | at_cksum ()
| ddp_output (struct ddpcb *ddp, struct mbuf *m)
unsigned short | at_cksum (struct mbuf *m, int skip)
| ddp_route (struct mbuf *m, struct route *ro)

## Variables
int | ddp_cksum = 1

## Macro Definition Documentation

## ◆ align

#define align | ( |  | a | ) |

Value:
(((a)+3)&0xfc)

## Function Documentation

## ◆ at_cksum() [1/2]

unsigned short at_cksum | ( |  | ) |

## ◆ at_cksum() [2/2]

unsigned short at_cksum | ( | struct mbuf * | m,
|  | int | skip )

## ◆ ddp_output()

ddp_output | ( | struct ddpcb * | ddp,
|  | struct mbuf * | m )

## ◆ ddp_route()

ddp_route | ( | struct mbuf * | m,
|  | struct route * | ro )

## Variable Documentation

## ◆ ddp_cksum

int ddp_cksum = 1